
Foreman - Task #23448

Tracker # 23446 (New): Change foreman to SPA (Single Page Application)

react implementation for navigation bar

04/30/2018 07:05 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: Web Interface   

Target version: 1.20.0   

Pull request: https://github.com/theforeman/foreman/p

ull/5898

Found in Releases:  

Fixed in Releases: 1.20.0   

Description

Navigation bar should be rewritten in React, when migrating please make sure all features are kept, i.e.

Logo

Org / Location Switcher (note that in mobile view they are folded into the vertical navigation)

User dropdown

Plugin dropdown place holder (e.g. insights)

Notification area

Related issues:

Related to Foreman - Bug #25656: Foreman redirects to logout page Closed

Related to Foreman - Bug #29914: User without view_organization permission ca... Closed

Associated revisions

Revision a88bc000 - 10/07/2018 02:28 PM - Gilad Lekner 

Fixes #23445, #21566, #23448 - Refactor Layout to PF

History

#1 - 08/23/2018 12:30 PM - Ohad Levy

this is actually part of https://github.com/theforeman/foreman/pull/5898 as well.

#2 - 08/26/2018 07:05 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5898 added

#3 - 10/07/2018 02:29 PM - Ohad Levy

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added

#4 - 10/07/2018 03:01 PM - Anonymous

- Status changed from New to Closed

Applied in changeset a88bc000064e68502ed81ef08d5663d2037ec3c7.

#5 - 10/15/2018 11:22 AM - Tomer Brisker

- Category set to Web Interface

- Assignee set to Gilad Lekner

#6 - 12/10/2018 01:37 PM - Tomer Brisker

- Related to Bug #25656: Foreman redirects to logout page added

#7 - 05/25/2020 02:33 PM - Tomer Brisker

- Related to Bug #29914: User without view_organization permission cannot switch organization added
https://github.com/theforeman/foreman/pull/5898
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a88bc000064e68502ed81ef08d5663d2037ec3c7
